Content
Upload Files
Upload files for ingestion or item updates.
POST
/
ingestion
/
v2
/
files
Upload Files
curl --request POST \
--url https://platform.ai.gloo.com/ingestion/v2/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'publisher_id=<string>' \
--form 'files=<string>' \
--form files.items='@example-file'import requests
url = "https://platform.ai.gloo.com/ingestion/v2/files"
files = { "files.items": ("example-file", open("example-file", "rb")) }
payload = {
"publisher_id": "<string>",
"files": "<string>"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('publisher_id', '<string>');
form.append('files', '<string>');
form.append('files.items', '{
"fileName": "example-file"
}');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://platform.ai.gloo.com/ingestion/v2/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"ingesting": [
"<string>"
],
"duplicates": [
"<string>"
]
}Error Reference: Ingestion
Common errors: publisher org mismatch, publisher not found, file read errors, duplicate uploads in the response body.
Authentication
The API requires an API key with access to the specified publisher. The system validates that the organization associated with your API key has permission to access the publisher specified in your request.You will only be able to send content to a publisher that belongs to your organization. Please double-check the
publisher_id field in the request body for accuracy.Authorizations
Query Parameters
Optional item_id to update (replacing existing content)
Optional producer-specific identifier for the uploaded file. When provided, only one file may be uploaded in the request.
⌘I
Upload Files

